Bug 1462147 - (CVE-2017-1000365) CVE-2017-1000365 kernel: RLIMIT_STACK/RLIMIT_INFINITY string size limitation bypass
CVE-2017-1000365 kernel: RLIMIT_STACK/RLIMIT_INFINITY string size limitation ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170619,reported=2...
: Security
Depends On: 1462827
Blocks: 1473651
  Show dependency treegraph
 
Reported: 2017-06-16 06:31 EDT by Andrej Nemec
Modified: 2017-08-18 11:18 EDT (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The Linux Kernel imposes a size restriction on the arguments and environmental strings passed through RLIMIT_STACK/RLIMIT_INFINITY, but does not take the argument and environment pointers into account, which allows attackers to bypass this limitation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-16 06:31:25 EDT
The Linux Kernel imposes a size restriction on the arguments and environmental strings passed through RLIMIT_STACK/RLIMIT_INFINITY (1/4 of the size), but does not take the argument and environment pointers into account, which allows attackers to bypass this limitation.

This method in itself is not an exploit, but bypassing this mechanism is the flaw/issue being tracked.

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=98da7d08850fb8bdeb395d6368ed15753304aa0c
Comment 1 Andrej Nemec 2017-06-16 06:32:50 EDT
Acknowledgments:

Name: Qualys Inc.
Comment 2 Andrej Nemec 2017-06-16 06:32:59 EDT
External References:

https://www.qualys.com/2017/06/19/stack-clash/stack-clash.txt
Comment 3 Petr Matousek 2017-06-19 12:08:25 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1462827]
Comment 4 Wade Mealing 2017-08-07 01:31:07 EDT
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5,6, 7 and MRG-2.

Future Linux kernel updates for the respective releases may address this issue.

Note You need to log in before you can comment on or make changes to this bug.